.appWindow > .chrome {
  pointer-events: none;
  background-color: black;
  transition: background-color 0.5s ease;
  height: 5rem;
}

.appWindow.popupWindow > .chrome {
  height: var(--header-height);
  top: 0;
}

.chrome gaia-progress {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 0.2rem !important;
  border-top: 0.1rem solid var(--color-gs00);
  pointer-events: none;
  visibility: hidden;
  z-index: 1000;
}

.appWindow.popupWindow > .chrome gaia-progress {
  top: calc(var(--header-height) - 0.3rem);
}

.appWindow.fullscreen-app .chrome.dragged gaia-progress {
  top: calc(var(--statusbar-height) + var(--rocketbar-urlbar-height));
}

.chrome gaia-progress.visible,
.appWindow.fullscreen-app .chrome.dragged gaia-progress.visible {
  visibility: visible;
}

.chrome > .bar {
  pointer-events: auto;
  display: none;
}

.chrome > .bar.visible {
  display: block;
}
